
```
YIELD
    [DISTINCT]
    <col_name> [AS <col_alias>] 
    [, <col_name> [AS <col_alias>] ...]
```

* YIELD statement can be used independently to retrieve computation results without reference to any graph. You can use `AS` to rename an alias.

```
nebula> YIELD 1 + 1
=========
| (1+1) |
=========
| 2     |
---------

nebula> YIELD "Hel" + "\tlo" AS HELLO_1, ", World!" as WORLD_2
======================
| HELLO_1 | WORLD_2  |
======================
| Hel   lo  | , World! |
----------------------
```

* But commonly, YIELD statement is more often used to return results generated by `GO`statement. (see `GO` statement for more details).

```
nebula> GO FROM 201 OVER relations_edge YIELD $$.student.name AS Friend, $$.student.age AS Age, $$.student.gender AS Gender
=========================
| Friend | Age | Gender |
=========================
|   Jane |  17 | female |
-------------------------
```

e.g., $$.student.name is to get the target ($$) vertex (student)'s property (name). 

* DISTINCT

`YIELD DISTINCT` must be used with the `GO` statement.
```
nebula> YIELD DISTINCT 1     --- syntax error!
```